Oracle corrige une faille critique dans Java SE 8

Editeurs de logicielsMalwaresNavigateursPoste de travailProjetsSécurité
Sécurité, IE, Chrome, Flash, Java © Dino Osmic - Shutterstock
4 2 Donnez votre avis

Java SE 8u77 et Java SE 7u97 corrigent une faille critique présente dans le greffon Java des navigateurs web. La mise à jour devra être réalisée sans tarder.

Oracle vient de livrer une nouvelle mouture de Java SE 8, l’update 77 (Java SE 8u77). La firme recommande aux utilisateurs de basculer rapidement vers cette nouvelle version.

Et pour cause, puisqu’elle corrige une faille de sécurité d’un niveau critique. Cette vulnérabilité est accessible à distance, sans authentification, et ce sous Windows, OS X, Linux et Solaris. Elle touche le greffon Java présent dans les navigateurs web (celui-là même qu’Oracle va enfin supprimer avec Java 9, voir « Oracle creuse la tombe du plug-in Java pour les navigateurs »).

« Cette vulnérabilité n’est pas applicable aux déploiements Java, généralement dans des serveurs ou des applications desktop autonomes. Elle n’a pas non plus d’incidence sur les logiciels serveur d’Oracle », précise la firme.

Java SE 7 aussi concerné

Il est à noter que Java SE 8u73 et 8u74 ne sont pas les seuls à être touchés par cette vulnérabilité. C’est aussi le cas de la version SE 7u97, qui se voit remplacé aujourd’hui par Java SE 7u99.

L’environnement d’exécution intégré à Java SE 8u77 dispose d’une date de péremption, fixée au 19 avril 2016, soit lors de la sortie du prochain critical patch update d’Oracle. Sur les machines ayant des difficultés à se mettre à jour d’elles-mêmes, le JRE pourra toutefois continuer à fonctionner jusqu’au 19 mai.

À lire aussi :

Java SE 9 sera livré le 23 mars 2017
Oracle met à jour ses JDK et JRE Java 8
Java, roi des langages de programmation en 2015

Crédit photo : © Dino Osmic – Shutterstock

Lire la biographie de l´auteur  Masquer la biographie de l´auteur